# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit distutils

IUSE=""

DESCRIPTION="Desktop mascot currently called that like 'Are Igai No Nanika' for X"
SRC_URI="http://www.geocities.co.jp/SiliconValley-Cupertino/7565/archive/${P}.tar.gz"
HOMEPAGE="http://www.geocities.co.jp/SiliconValley-Cupertino/7565/"

DEPEND="dev-lang/python
	=x11-libs/gtk+-1*
	=dev-python/pygtk-0.6*
	media-libs/libpng
	app-arch/unzip
	app-arch/lha"

KEYWORDS="x86 ~alpha ~sparc ~sparc64 ~ppc"
LICENSE="GPL-2"
SLOT="0"

S="${WORKDIR}/${P}"

src_unpack(){
	unpack ${A}
	cd ${S}/modules

	mv Makefile.modules Makefile.modules.orig
	sed -e "s/^\([[:blank:]]\+-cp\)/#\1/" \
		Makefile.modules.orig > Makefile.modules

	distutils_python_version
	cd ${S}/bin
	mv ninix.in ninix.in.orig
	sed -e "s,\(PYTHONPATH=@libdir\),\1:/usr/lib/python${PYVER}/site-packages/gtk-1.2," \
		ninix.in.orig > ninix.in
}

src_compile(){
	emake prefix=/usr \
		exec_libdir=/usr/lib/ninix || die
}

src_install(){
	emake prefix=/usr \
		exec_libdir=/usr/lib/ninix \
		DESTDIR=${D} install || die
	dodoc README PKG-INFO TODO
	cd ${S}/doc
	docinto doc
	dodoc *
}
